RubyGems Navigation menu

pg 0.18.0.pre20141117110243-x64-mingw32

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 8.4 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

Versions:

  1. 1.0.0 - January 10, 2018 x64-mingw32 (2.15 MB)
  2. 1.0.0 - January 10, 2018 x86-mingw32 (1.98 MB)
  3. 1.0.0 - January 10, 2018 (209 KB)
  4. 0.21.0 - June 13, 2017 x64-mingw32 (1.92 MB)
  5. 0.21.0 - June 13, 2017 x86-mingw32 (1.61 MB)
  6. 0.18.0.pre20141117110243 - November 17, 2014 x64-mingw32 (1.33 MB)
Show all versions (126 total)

Authors:

  • Michael Granger, Lars Kanis

Owners:

Feef2024584d97a97338b964661ca795Abc11c007a3a284272d261b2dae6376e04cdb622ce0aac272b61f23f373e2abf

SHA 256 checksum:

51b7a2360fc02526202ca6b95024b8da7e747ffc77b00eea5ef1461385ded7ba

Total downloads 53,557,217

For this version 1,244

Gemfile:
= Copy to clipboard Copied!

install:
=

Licenses:

BSD, Ruby, GPL

Required Ruby Version: >= 1.8.7

Required Rubygems Version: > 1.3.1

Links: